RawFrame

Get auto-recharge settings

GET
/v1/account/auto_recharge

Requires the account:read scope.

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key, e.g. rf_live_3f9k2q_….

Response Body

Settings.

application/json
  1. response
object*unknown
enabled*boolean
threshold_micros*|
Formatint64
amount_micros*|
Formatint64
payment_method_saved*boolean
last_failure*null|
Example Request
curl -X GET 'https://api.rawframe.dev/v1/account/auto_recharge'
Example Response
{  "object": "auto_recharge",  "enabled": true,  "threshold_micros": 0,  "amount_micros": 0,  "payment_method_saved": true,  "last_failure": null}